%define upstream_name    Term-Size-Perl
%define upstream_version 0.031

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Probes some machine configuration parameters for Term::Size::Perl's sake
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Yet another implementation of 'Term::Size'. Now in pure Perl, with the
exception of a C probe run on build time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.31.0-3.mga8
+ Revision: 1506232
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.31.0-2.mga7
+ Revision: 1286409
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tv <tv> 0.31.0-1.mga7
+ Revision: 1201420
- update to 0.031

* Sun Jun 19 2016 pterjan <pterjan> 0.29.0-7.mga6
+ Revision: 1034019
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.29.0-6.mga6
+ Revision: 943526
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.29.0-5.mga5
+ Revision: 741728
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.29.0-4.mga5
+ Revision: 686389
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.29.0-3.mga4
+ Revision: 514973
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.29.0-2.mga3
+ Revision: 373318
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.29.0-1.mga1
+ Revision: 22923
- clean up spec file
- imported package perl-Term-Size-Perl

